Bug 28819 - Add link to item search from mainpage.pl
Summary: Add link to item search from mainpage.pl
Status: CLOSED FIXED
Alias: None
Product: Koha
Classification: Unclassified
Component: Staff Client (show other bugs)
Version: master
Hardware: All All
: P5 - low enhancement (vote)
Assignee: Lucas Gass
QA Contact: Testopia
URL:
Keywords:
Depends on:
Blocks: 28878
  Show dependency treegraph
 
Reported: 2021-08-06 01:14 UTC by Donna
Modified: 2022-06-06 20:25 UTC (History)
9 users (show)

See Also:
Change sponsored?: ---
Patch complexity: Trivial patch
Documentation contact:
Documentation submission:
Text to go in the release notes:
Version(s) released in:
21.11.00


Attachments
Bug 28819: Add item search to intranet-main.tt (1.27 KB, patch)
2021-08-09 16:44 UTC, Lucas Gass
Details | Diff | Splinter Review
Bug 28819: Add item search to intranet-main.tt (1.39 KB, patch)
2021-08-10 15:48 UTC, Kyle M Hall
Details | Diff | Splinter Review
Bug 28819: Add item search to intranet-main.tt (1.45 KB, patch)
2021-08-10 15:48 UTC, Kyle M Hall
Details | Diff | Splinter Review
Bug 28819: Add item search to intranet-main.tt (1.38 KB, patch)
2021-08-13 15:16 UTC, Nick Clemens
Details | Diff | Splinter Review
Bug 28819: (follow-up) Use stacked icons for different searches (11.31 KB, patch)
2021-08-13 17:13 UTC, Owen Leonard
Details | Diff | Splinter Review
Bug 28819: (follow-up) Use stacked icons for different searches (11.36 KB, patch)
2021-08-13 17:20 UTC, Nick Clemens
Details | Diff | Splinter Review
Bug 28819: Fix advanced search button on mainpage.pl incorrectly links to item search (1.55 KB, patch)
2021-08-19 07:51 UTC, Jonathan Druart
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Donna 2021-08-06 01:14:46 UTC
The only way to access item search is through the drop down Search link in the top bar.  It would be helpful to have a "button" to the item search on the main page, like there is for Advanced Search.  The item search is heavily used, and having a more prominent way to access it would be helpful.
Comment 1 Lucas Gass 2021-08-09 16:44:09 UTC Comment hidden (obsolete)
Comment 2 Kelly McElligott 2021-08-10 15:27:17 UTC
I signed off on this patch- Kelly McElligott 
kelly@bywatersolutions.com
Comment 3 Kyle M Hall 2021-08-10 15:48:39 UTC Comment hidden (obsolete)
Comment 4 Kyle M Hall 2021-08-10 15:48:58 UTC Comment hidden (obsolete)
Comment 5 Nick Clemens 2021-08-13 15:16:20 UTC
Created attachment 123827 [details] [review]
Bug 28819: Add item search to intranet-main.tt

To test:
1. Apply patch
2. Go to staff main page ( intranet-main.tt )
3. Now you should see an 'Item search' button and icon.

Signed-off-by: kelly mcelligott <kelly@bywatersolutions.com>

Signed-off-by: Nick Clemens <nick@bywatersolutions.com>
Comment 6 Nick Clemens 2021-08-13 15:16:48 UTC
Trivial, passing QA, understand if RM wants outside opinion :-)
Comment 7 Owen Leonard 2021-08-13 17:13:34 UTC
Created attachment 123834 [details] [review]
Bug 28819: (follow-up) Use stacked icons for different searches

This patch modifies the staff interface home page so that the "Advanced
search" and "Item search" links are differentated using stacked Font
Awesome icons.

To test, apply the patch and view the staff interface home page. The
icons associated with advanced and item searches should be different:

- The Advanced search link should have a magnifying glass icon on top of
  a grey book icon.
- The Item search link should have a magnifying glass icon on top of a
  grey list icon.
Comment 8 Owen Leonard 2021-08-13 17:19:22 UTC
I talked Fridolin out of doing this in Bug 24088, but I guess this is a sign it really is wanted. I hope my follow-up helps.
Comment 9 Nick Clemens 2021-08-13 17:20:52 UTC
Created attachment 123838 [details] [review]
Bug 28819: (follow-up) Use stacked icons for different searches

This patch modifies the staff interface home page so that the "Advanced
search" and "Item search" links are differentated using stacked Font
Awesome icons.

To test, apply the patch and view the staff interface home page. The
icons associated with advanced and item searches should be different:

- The Advanced search link should have a magnifying glass icon on top of
  a grey book icon.
- The Item search link should have a magnifying glass icon on top of a
  grey list icon.

Signed-off-by: Nick Clemens <nick@bywatersolutions.com>
Comment 10 Jonathan Druart 2021-08-16 10:05:20 UTC
Pushed to master for 21.11, thanks to everybody involved!
Comment 11 Fridolin Somers 2021-08-17 06:16:22 UTC
(In reply to Owen Leonard from comment #8)
> I talked Fridolin out of doing this in Bug 24088, but I guess this is a sign
> it really is wanted. I hope my follow-up helps.

Yeeeees we love this :D
Comment 12 Jonathan Druart 2021-08-19 07:51:11 UTC
Created attachment 123968 [details] [review]
Bug 28819: Fix advanced search button on mainpage.pl incorrectly links to item search

The previous follow-up changed the link for the Advanced search button on mainpage.pl.

Test plan :
1) Go to intranet main page
2) Click on big button "Advanced search"
=> Without patch you go to item search /cgi-bin/koha/catalogue/itemsearch.pl
=> With patch you go to advanced search /cgi-bin/koha/catalogue/search.pl
Comment 13 Jonathan Druart 2021-08-19 08:00:34 UTC
Follow-up pushed to master.